Bug 1317275 - [abrt] gnome-software: gs_plugin_loader_get_updates_async(): gnome-software killed by SIGSEGV
[abrt] gnome-software: gs_plugin_loader_get_updates_async(): gnome-software k...
Status: CLOSED DUPLICATE of bug 1320307
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f3b9650216ab59d33ca81401940...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-13 13:00 EDT by piio
Modified: 2016-07-05 07:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-05 07:09:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.29 KB, text/plain)
2016-03-13 13:00 EDT, piio
no flags Details
File: cgroup (242 bytes, text/plain)
2016-03-13 13:00 EDT, piio
no flags Details
File: core_backtrace (3.88 KB, text/plain)
2016-03-13 13:00 EDT, piio
no flags Details
File: dso_list (16.91 KB, text/plain)
2016-03-13 13:00 EDT, piio
no flags Details
File: environ (1.51 KB, text/plain)
2016-03-13 13:00 EDT, piio
no flags Details
File: exploitable (117 bytes, text/plain)
2016-03-13 13:00 EDT, piio
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-13 13:00 EDT, piio
no flags Details
File: maps (68.24 KB, text/plain)
2016-03-13 13:00 EDT, piio
no flags Details
File: mountinfo (3.72 KB, text/plain)
2016-03-13 13:00 EDT, piio
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-13 13:00 EDT, piio
no flags Details
File: open_fds (1.96 KB, text/plain)
2016-03-13 13:00 EDT, piio
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-03-13 13:00 EDT, piio
no flags Details
File: var_log_messages (811 bytes, text/plain)
2016-03-13 13:00 EDT, piio
no flags Details

  None (edit)
Description piio 2016-03-13 13:00:26 EDT
Version-Release number of selected component:
gnome-software-3.19.91-2.fc25

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_plugin_loader_get_updates_async
executable:     /usr/bin/gnome-software
global_pid:     4357
kernel:         4.5.0-0.rc7.git3.2.fc25.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 gs_plugin_loader_get_updates_async at gs-plugin-loader.h:36
Comment 1 piio 2016-03-13 13:00:30 EDT
Created attachment 1135934 [details]
File: backtrace
Comment 2 piio 2016-03-13 13:00:32 EDT
Created attachment 1135935 [details]
File: cgroup
Comment 3 piio 2016-03-13 13:00:33 EDT
Created attachment 1135936 [details]
File: core_backtrace
Comment 4 piio 2016-03-13 13:00:34 EDT
Created attachment 1135937 [details]
File: dso_list
Comment 5 piio 2016-03-13 13:00:36 EDT
Created attachment 1135938 [details]
File: environ
Comment 6 piio 2016-03-13 13:00:37 EDT
Created attachment 1135939 [details]
File: exploitable
Comment 7 piio 2016-03-13 13:00:38 EDT
Created attachment 1135940 [details]
File: limits
Comment 8 piio 2016-03-13 13:00:40 EDT
Created attachment 1135941 [details]
File: maps
Comment 9 piio 2016-03-13 13:00:41 EDT
Created attachment 1135942 [details]
File: mountinfo
Comment 10 piio 2016-03-13 13:00:43 EDT
Created attachment 1135943 [details]
File: namespaces
Comment 11 piio 2016-03-13 13:00:44 EDT
Created attachment 1135944 [details]
File: open_fds
Comment 12 piio 2016-03-13 13:00:45 EDT
Created attachment 1135945 [details]
File: proc_pid_status
Comment 13 piio 2016-03-13 13:00:47 EDT
Created attachment 1135946 [details]
File: var_log_messages
Comment 14 Fedora Blocker Bugs Application 2016-04-30 06:20:00 EDT
Proposed as a Blocker and Freeze Exception for 24-final by Fedora user genodeftest using the blocker tracking app because:

 This bug violates the following section of final release criteria:

" SELinux and crash notifications

There must be no SELinux denial notifications or crash notifications on boot of or during installation from a release-blocking live image, or at first login after a default install of a release-blocking desktop. "

This crash happens circa each second day since upgrading to Fedora 24 Alpha. It was not present on F23. More details: bug #1324679
Comment 15 Tim Flink 2016-05-02 18:03:27 EDT
Discussed during the 2016-05-02 blocker review meeting.

There is no information on how to reproduce this or if it is still currently a problem. Need more information from reporter, will discuss at next meeting.
Comment 16 Christian Stadelmann 2016-05-03 13:17:13 EDT
This crash happens for me (bug #1324679) when gnome-software is running in background, I did not interact in it in any way. It might have been checking for updates or used for gnome-shell searches.

This bug happens sporadically.
Comment 17 Geoffrey Marr 2016-05-09 15:33:25 EDT
Discussed during the 2016-05-09 blocker review meeting: [1]

Decision was made to delay the classification of this as a blocker to allow time for more information to surface; this will be discussed at next week's blocker review meeting.


[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-05-09/f24-blocker-review.2016-05-09-16.00.txt
Comment 18 Kamil Páral 2016-05-16 08:54:52 EDT
I'm running on F24, but I haven't seen this crash. Also, I installed clean F24 Workstation in a VM today and let it sit idle for a few hours, but also haven't seen this crash.
Comment 19 Geoffrey Marr 2016-05-16 14:02:56 EDT
Discussed during the 2016-05-16 blocker review meeting: [1]

Rejected as a blocker for F24 final as no new reproductions of this bug have occurred since 2016-05-03; this bug does not occur often enough to block release.




[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-05-16/f24-blocker-review.2016-05-16-16.00.txt
Comment 20 Geoffrey Marr 2016-05-30 14:31:09 EDT
Discussed during the 2016-05-30 blocker review meeting: [1]

Decision to classify this bug as a RejectedFreezeException was made as there is not enough info surrounding the bug to make a clear decision. If more information is added including steps to reproduce, this decision can be reconsidered.

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-05-30/f24-blocker-review.2016-05-30-16.01.txt
Comment 21 Kalev Lember 2016-07-05 07:09:06 EDT

*** This bug has been marked as a duplicate of bug 1320307 ***

Note You need to log in before you can comment on or make changes to this bug.